<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
$set['title']='История моего рейтинга';
include_once 'sys/inc/thead.php';
title();

echo "<div class='aut'>\n";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='/umenu.php'>Мое меню</a><br />\n";
echo "</div>\n";


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "Нет положительных отзывов\n";
}

$q=mysql_query("SELECT * FROM `user_voice2` WHERE `id_kont` = '$user[id]' LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);

echo '<tr><td class="icon14">';
avatar3($ank['id']);
echo '</td><td class="anput">';
echo "".online($ank['id'])." <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> \n";
if($ank['rating']>=0 && $ank['rating']<=14)echo " ";
if($ank['rating']>=15 && $ank['rating']<=30)echo " <img src='/rating/05.gif'></img> "; 
if($ank['rating']>=31 && $ank['rating']<=65)echo " <img src='/rating/medal_bronze.gif'></img> ";
if($ank['rating']>=66 && $ank['rating']<=90)echo " <img src='/rating/medal_silver.gif'></img> ";
if($ank['rating']>=91 && $ank['rating']<=130)echo " <img src='/rating/medal_gold.gif'></img> ";
if($ank['rating']>=131 && $ank['rating']<=180)echo " <img src='/rating/medal_bronze.gif'></img> ";
if($ank['rating']>=131 && $ank['rating']<=180)echo " <img src='/rating/medal_silver.gif'></img> ";
if($ank['rating']>=181 && $ank['rating']<=250)echo " <img src='/rating/medal_bronze.gif'></img> ";
if($ank['rating']>=181 && $ank['rating']<=250)echo " <img src='/rating/medal_silver.gif'></img> ";
if($ank['rating']>=181 && $ank['rating']<=250)echo " <img src='/rating/medal_gold.gif'></img> ";
if($ank['rating']>=251 && $ank['rating']<=2500)echo " <img src='/rating/konkurs.png'></img> ";
echo " > \n";
echo "Подал: \n";

switch ($post['rating'])
{
case 2:echo "<font color='red'>+2%</font> рейтинга <img src='/style/smiles/2pal.gif' alt='' class='icon'/><br />\n";	break;
case 1:echo "<font color='red'>+1%</font> рейтинга <img src='/style/smiles/banan.gif' alt='' class='icon'/><br />\n";	break;
case 0:echo "<font color='green'>0%</font> рейтинга <img src='/style/smiles/crazy.gif' alt='' class='icon'/><br />\n";	break;
case -1:echo "<font color='blue'>-1%</font> рейтинга <img src='/style/smiles/sad.gif' alt='' class='icon'/><br />\n";	break;
case -2:echo "<font color='blue'>-2%</font> рейтинга <img src='/style/smiles/mat.gif' alt='' class='icon'/><br />\n";	break;
}
}
echo '</td></tr>';

echo "</table>\n";




if ($k_page>1)str('?',$k_page,$page); // Вывод страниц

echo "<div class='aut'>\n";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='/umenu.php'>Мое меню</a><br />\n";
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
?>